pydo.databases.get_autoscale()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.databases.get_autoscale(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the autoscale configuration for an existing database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/autoscale. The response will be a JSON object with autoscaling configuration details.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.get_autoscale(database_cluster_uuid="a7a89a")

Response Example

Show Response Example
{
  "autoscale": {
    "storage": {
      "enabled": true,
      "threshold_percent": 80,
      "increment_gib": 10
    }
  }
}

More Information

See /v2/databases/{database_cluster_uuid}/autoscale in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.